Bug 238940 - Package Update crash
Package Update crash
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
i386 Linux
medium Severity urgent
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2007-05-03 21:13 EDT by Rodrigo Padula de Oliveira
Modified: 2013-01-09 23:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-05-14 14:40:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rodrigo Padula de Oliveira 2007-05-03 21:13:36 EDT
Description of problem: Package updater crash when i open this software whe i am
not connected to the internet.

Version-Release number of selected component (if applicable): LiveCD KDE and Gnome

How reproducible: 

Steps to Reproduce:
1.Disconnect network devices
2.Open Package Updater

Actual results: Crash!!!!

Expected results: Message: Not Connected to the internet!

Additional info:
Comment 1 Jeremy Katz 2007-05-03 21:29:49 EDT
Can you please provide the traceback you received?
Comment 2 Rodrigo Padula de Oliveira 2007-05-07 18:06:58 EDT
Component: Software Manager
Summary: TB34bf4d7c yumRepo.py:312:check:RepoError: Cannot find a valid baseurl
for repo: development

Traceback (most recent call last):
  File "/usr/sbin/pirut", line 428, in <module>
  File "/usr/sbin/pirut", line 421, in main
    pm = PackageManager(options.config, options.onlyrepo)
  File "/usr/sbin/pirut", line 61, in __init__
    GraphicalYumBase.__init__(self, False, config)
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 123, in __init__
  File "/usr/lib/python2.5/site-packages/pirut/__init__.py", line 221, in reset
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 295, in closeRpmDB
    self.comps = None
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 511, in <lambda>
    fset=lambda self, value: self._setGroups(value),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 436, in _setGroups
    for repo in self.repos.listGroupsEnabled():
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 491, in <lambda>
    repos = property(fget=lambda self: self._getRepos(),
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 335, in _getRepos
    repo.setup(self.conf.cache, self.mediagrabber)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 585, in setup
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 427, in baseurlSetup
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 312, in check
    'Cannot find a valid baseurl for repo: %s' % self.id
RepoError: Cannot find a valid baseurl for repo: development

Local variables in innermost frame:
self: development
Comment 3 Moritz Barsnick 2007-05-10 07:48:31 EDT
I second this one.

More irritatingly:
I double-clicked an RPM (a local one!). (Got prompted for root password.) A new 
window ("Installing packages") comes up, but is empty, and stalles for one 
minute, perhaps several minutes (probably several network time-outs long). Then 
comes a crash log.

Version-Release number of selected component (if applicable):

Expected results:
a) Error message instead of crash.
b) Don't query repos. A manual "rpm -ivh --test <rpmfile>" shows no missing 
dependencies. Just install.

I'm trying to install VMware Tools in a virtual machine (on VMware Player) from 
a mounted ISO. I don't even have network configured properly, and don't intend 

To me, this is a (F7 Test4) showstepper for anyone with low connectivity (and 
insufficient knowledge ;->).
Comment 4 Moritz Barsnick 2007-05-10 07:52:26 EDT
Apparently, according to a peculiar naming scheme, this bug would be against 
version "devel" and not "test4" in my case.

OTOH, according to bug #236142, this bug in fixed in 1.3.7. It occurs for me 
nevertheless. I shall move over to said bug.
Comment 5 Jeremy Katz 2007-05-14 14:40:09 EDT
Fixed in upstream yum CVS

Note You need to log in before you can comment on or make changes to this bug.